Subject: [bug#39258] [PATCH v3 0/3] Package metadata cache for guix search

From: Ludovic Courtès <[email-masked]>
Date: Fri, 24 Apr 2020 23:05:26 +0200

Hi,

Arun Isaac <[email-masked]> skribis:

> Speedup is around 2x. Both measurements below are with a warm cache.
>
> $ time guix search inkscape
>
> real	0m1.722s
> user	0m1.776s
> sys	0m0.097s
>
> $ time /tmp/test/bin/guix search inkscape
>
> real	0m0.749s
> user	0m0.770s
> sys	0m0.020s
>
> This patchset does not affect the search API nor does it improve the relevance
> of search results. If there is interest in this approach, I'll complete this
> patchset properly. But, in the long run, I do think we should aim to get
> xapian or the like for guix search. WDYT?
>
> Unfortunately, generate-package-metadata-cache takes 43 seconds to build the
> cache on my relatively slow computer. Performance should be better on other
> people's machines.

43 seconds is a lot.  How do these 43 seconds compare to current ‘guix
search’ on your computer?  (Both do roughly the same thing.)

Thanks,
Ludo’.